maven.version should be changed from 3.0-SNAPSHOT to 3.0 (?) #54

Closed
dstu opened this Issue Oct 28, 2010 · 6 comments

Comments

Projects
None yet
7 participants

dstu commented Oct 28, 2010

The pom.xml in latest master doesn't compile because it can't find maven-embedder 3.0-SNAPSHOT. I don't see any breaking changes in recent commits, so I think this is an issue with 3.0-SNAPSHOT not being available anymore because 3.0 proper is out. Changing 3.0-SNAPSHOT to 3.0 leads to a working compile.

I'd submit a patch, but this seems like a really trivial change.

ealden commented Jan 1, 2011

I had to set the version to 3.0.1 instead of 3.0 as the latter was causing test failures (could not initialize class...). My Maven version is also 3.0.1 but I tried using 3.0 and same result.

pope commented Mar 6, 2011

I can confirm what ealden has said. Moving to 3.0.1 is probably the right thing to do

I had to move mine to 3.0.4-SNAPSHOT (the repository mentioned in the pom is a snapshot repository), but I think a released version would be better/more stable.

jonnay commented Dec 20, 2011

3.0.1 Fixed the the problems for me for the following tests:

Running org.grumblesmurf.malabar.GroovyServerTest
SLF4J: Failed to load class "org.slf4j.impl.StaticLoggerBinder".
SLF4J: See http://www.slf4j.org/codes.html#StaticLoggerBinder for further details.
Tests run: 2, Failures: 0, Errors: 2, Skipped: 0, Time elapsed: 1.82 sec <<< FAILURE!
Running org.grumblesmurf.malabar.ProjectsTest
Tests run: 6, Failures: 0, Errors: 6, Skipped: 0, Time elapsed: 0.026 sec <<< FAILURE!
Running org.grumblesmurf.malabar.SemanticReflectorTest

Tests in error:
singleServer(org.grumblesmurf.malabar.GroovyServerTest)
dualServer(org.grumblesmurf.malabar.GroovyServerTest): Could not initialize class org.grumblesmurf.malabar.GroovyServer
projectPopulated(org.grumblesmurf.malabar.ProjectsTest): Could not initialize class org.grumblesmurf.malabar.GroovyServer
coordinatePopulated(org.grumblesmurf.malabar.ProjectsTest): Could not initialize class org.grumblesmurf.malabar.GroovyServer
coordinateMapPopulated(org.grumblesmurf.malabar.ProjectsTest): Could not initialize class org.grumblesmurf.malabar.GroovyServer
transitiveCompileClasspath(org.grumblesmurf.malabar.ProjectsTest): Could not initialize class org.grumblesmurf.malabar.GroovyServer
transitiveTestClasspath(org.grumblesmurf.malabar.ProjectsTest): Could not initialize class org.grumblesmurf.malabar.GroovyServer
runAGoal(org.grumblesmurf.malabar.ProjectsTest): Could not initialize class org.grumblesmurf.malabar.GroovyServer

songuo commented Jun 6, 2013

I met the same problem!

Owner

m0smith commented Dec 10, 2013

Version 1.5.1-SNAPSHOT uses maven version 3.0.4

@m0smith m0smith closed this Dec 10, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment